ch.qos.logback.classic.servlet

## Class LogbackServletContainerInitializer

- java.lang.Object
- - ch.qos.logback.classic.servlet.LogbackServletContainerInitializer

All Implemented Interfaces:
  javax.servlet.ServletContainerInitializer

    public class LogbackServletContainerInitializer
    extends Object
    implements javax.servlet.ServletContainerInitializer

Attaches a new instance of `LogbackServletContextListener` to the current web-applications `ServletContext`.

Since:
  1.1.10
Author:
  Ceki Gulcu

### Constructor Summary

Constructors
Constructor and Description
`LogbackServletContainerInitializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onStartup(Set<Class<?>> c, javax.servlet.ServletContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogbackServletContainerInitializer

    public LogbackServletContainerInitializer()

### Method Detail

#### onStartup

    public void onStartup(Set<Class<?>> c,
                          javax.servlet.ServletContext ctx)
                   throws javax.servlet.ServletException

Specified by:
  `onStartup` in interface `javax.servlet.ServletContainerInitializer`
Throws:
  `javax.servlet.ServletException`